Tuesday, July 3, 2012

rvm requirements

I recently upgraded to Fedora 17, Beefy Miracle.  The first time I used rvm to install a gem I got the following :

ERROR:  Loading command: install (LoadError)
    no such file to load -- zlib
ERROR:  While executing gem ... (NameError)
    uninitialized constant Gem::Commands::InstallCommand

I ran :

rvm notes


rvm requirements

And installed everything listed as a requirement for Fedora 17. That still didn't do the trick. I reinstalled 1.9.2 with :

rvm install 1.9.2

And finally :

sudo yum install -y gcc ruby-devel libxml2 libxml2-devel libxslt libxslt-devel1.9.2


The moral of the story is :
  • run rvm requirements 
  • check the error logs if there are any (the location is the last line of the output)